---
title: "Get country region values for site"
type: reference
method: GET
path: /rest-api/site/{siteId}/targeting/country/region/values.do
tag: "Targeting Rules"
---

# Get country region values for site

`GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/country/region/values.do`

Returns a JSON array of available region names for the specified country code. These region names can be used with the location targeting or city values endpoints. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Query params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `countryCode` | string | yes | `US` | ISO alpha-2 country code (e.g. US, GB, DE) |

## Responses

- `200` — Success
- `400` — Invalid country code
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Site not found
- `500` — Internal server error

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/country/region/values.do?countryCode=US' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/get-site-targeting-country-region-values